Get rental
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/telephony/rentals/{rental_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/telephony/rentals/{rental_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/telephony/rentals/{rental_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "rent_01K9Q4B8D3F5H7K9N1Q3S5W7Y9",
"connection_id": "tcn_01K9P7XG3M5N8Q1R4T6V9W2Y4Z",
"number": "+912248901234",
"ownership": "managed",
"compliance_id": "4f1a9c2e-7b3d-4e8a-9c61-2d5f8b0e3a17",
"number_type": "local",
"provider_monthly_rate": "2.50000",
"provider_setup_rate": "0.00000",
"state": "active",
"phone_number_id": "phn_01K9R1B3D5F7H9K2M4P6R8T0W2",
"amount_paise": 150000,
"term_months": 3,
"expires_at": "2026-10-09T06:20:02.418356Z",
"purchased_at": "2026-10-09T06:12:44.120537Z",
"renews_at": "2027-01-09T06:12:44.120537Z",
"cancel_at_period_end": false,
"release_reason": "",
"created_at": "2026-10-09T06:10:02.418356Z"
}
Telephony
Get rental
One quote or rental, by its id. A quote stays readable after it expires.
GET
/
v2
/
telephony
/
rentals
/
{rental_id}
Get rental
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/telephony/rentals/{rental_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/telephony/rentals/{rental_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/telephony/rentals/{rental_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "rent_01K9Q4B8D3F5H7K9N1Q3S5W7Y9",
"connection_id": "tcn_01K9P7XG3M5N8Q1R4T6V9W2Y4Z",
"number": "+912248901234",
"ownership": "managed",
"compliance_id": "4f1a9c2e-7b3d-4e8a-9c61-2d5f8b0e3a17",
"number_type": "local",
"provider_monthly_rate": "2.50000",
"provider_setup_rate": "0.00000",
"state": "active",
"phone_number_id": "phn_01K9R1B3D5F7H9K2M4P6R8T0W2",
"amount_paise": 150000,
"term_months": 3,
"expires_at": "2026-10-09T06:20:02.418356Z",
"purchased_at": "2026-10-09T06:12:44.120537Z",
"renews_at": "2027-01-09T06:12:44.120537Z",
"cancel_at_period_end": false,
"release_reason": "",
"created_at": "2026-10-09T06:10:02.418356Z"
}
⌘I